/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*
 * Copyright  (c) 1985 AT&T
 *	All Rights Reserved
 */
#ident	"$Header: strCcmp.c 1.4 89/10/10 $@(#)vm:sys/strCcmp.c	1.1"

#include	<stdio.h>
#include	<ctype.h>

int
strCcmp(s1, s2)
char	*s1;
char	*s2;
{
	register int	c1;
	register int	c2;

	while (((c1 = *s1++) != 0) && ((c2 = *s2++) != 0)) {
		if (isupper(c1))
			c1 = tolower(c1);
		if (isupper(c2))
			c2 = tolower(c2);
		if (c1 != c2)
			break;
	}
	return c1 - c2;
}

int
strnCcmp(s1, s2, n)
char	*s1;
char	*s2;
int	n;
{
	register int	c1 = '\0';
	register int	c2 = '\0';

	while ((n-- > 0) && ((c1 = *s1++) != 0) && ((c2 = *s2++) != 0)) {
		if (isupper(c1))
			c1 = tolower(c1);
		if (isupper(c2))
			c2 = tolower(c2);
		if (c1 != c2)
			break;
	}
	return c1 - c2;
}
